CREATE TABLE gl_coa_map_account_rules (
    ACCOUNT_RULE_ID           NUMBER        ,
    RULE_DESCRIPTION          VARCHAR2(4000),
    COA_MAPPING_ID            NUMBER(18, 0)     NOT NULL,
    TO_CODE_COMBINATION_ID    NUMBER            NOT NULL,
    FLEX_FILTER               XMLTYPE       ,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    SEGMENT1_LOW              VARCHAR2(100) ,
    SEGMENT1_HIGH             VARCHAR2(100) ,
    SEGMENT1_TREE_CODE        VARCHAR2(120) ,
    SEGMENT2_LOW              VARCHAR2(100) ,
    SEGMENT2_HIGH             VARCHAR2(100) ,
    SEGMENT2_TREE_CODE        VARCHAR2(120) ,
    SEGMENT3_LOW              VARCHAR2(100) ,
    SEGMENT3_HIGH             VARCHAR2(100) ,
    SEGMENT3_TREE_CODE        VARCHAR2(120) ,
    SEGMENT4_LOW              VARCHAR2(100) ,
    SEGMENT4_HIGH             VARCHAR2(100) ,
    SEGMENT4_TREE_CODE        VARCHAR2(120) ,
    SEGMENT5_LOW              VARCHAR2(100) ,
    SEGMENT5_HIGH             VARCHAR2(100) ,
    SEGMENT5_TREE_CODE        VARCHAR2(120) ,
    SEGMENT6_LOW              VARCHAR2(100) ,
    SEGMENT6_HIGH             VARCHAR2(100) ,
    SEGMENT6_TREE_CODE        VARCHAR2(120) ,
    SEGMENT7_LOW              VARCHAR2(100) ,
    SEGMENT7_HIGH             VARCHAR2(100) ,
    SEGMENT7_TREE_CODE        VARCHAR2(120) ,
    SEGMENT8_LOW              VARCHAR2(100) ,
    SEGMENT8_HIGH             VARCHAR2(100) ,
    SEGMENT8_TREE_CODE        VARCHAR2(120) ,
    SEGMENT9_LOW              VARCHAR2(100) ,
    SEGMENT9_HIGH             VARCHAR2(100) ,
    SEGMENT9_TREE_CODE        VARCHAR2(120) ,
    SEGMENT10_LOW             VARCHAR2(100) ,
    SEGMENT10_HIGH            VARCHAR2(100) ,
    SEGMENT10_TREE_CODE       VARCHAR2(120) ,
    SEGMENT11_LOW             VARCHAR2(100) ,
    SEGMENT11_HIGH            VARCHAR2(100) ,
    SEGMENT11_TREE_CODE       VARCHAR2(120) ,
    SEGMENT12_LOW             VARCHAR2(100) ,
    SEGMENT12_HIGH            VARCHAR2(100) ,
    SEGMENT12_TREE_CODE       VARCHAR2(120) ,
    SEGMENT13_LOW             VARCHAR2(100) ,
    SEGMENT13_HIGH            VARCHAR2(100) ,
    SEGMENT13_TREE_CODE       VARCHAR2(120) ,
    SEGMENT14_LOW             VARCHAR2(100) ,
    SEGMENT14_HIGH            VARCHAR2(100) ,
    SEGMENT14_TREE_CODE       VARCHAR2(120) ,
    SEGMENT15_LOW             VARCHAR2(100) ,
    SEGMENT15_HIGH            VARCHAR2(100) ,
    SEGMENT15_TREE_CODE       VARCHAR2(120) ,
    SEGMENT16_LOW             VARCHAR2(100) ,
    SEGMENT16_HIGH            VARCHAR2(100) ,
    SEGMENT16_TREE_CODE       VARCHAR2(120) ,
    SEGMENT17_LOW             VARCHAR2(100) ,
    SEGMENT17_HIGH            VARCHAR2(100) ,
    SEGMENT17_TREE_CODE       VARCHAR2(120) ,
    SEGMENT18_LOW             VARCHAR2(100) ,
    SEGMENT18_HIGH            VARCHAR2(100) ,
    SEGMENT18_TREE_CODE       VARCHAR2(120) ,
    SEGMENT19_LOW             VARCHAR2(100) ,
    SEGMENT19_HIGH            VARCHAR2(100) ,
    SEGMENT19_TREE_CODE       VARCHAR2(120) ,
    SEGMENT20_LOW             VARCHAR2(100) ,
    SEGMENT20_HIGH            VARCHAR2(100) ,
    SEGMENT20_TREE_CODE       VARCHAR2(120) ,
    SEGMENT21_LOW             VARCHAR2(100) ,
    SEGMENT21_HIGH            VARCHAR2(100) ,
    SEGMENT21_TREE_CODE       VARCHAR2(120) ,
    SEGMENT22_LOW             VARCHAR2(100) ,
    SEGMENT22_HIGH            VARCHAR2(100) ,
    SEGMENT22_TREE_CODE       VARCHAR2(120) ,
    SEGMENT23_LOW             VARCHAR2(100) ,
    SEGMENT23_HIGH            VARCHAR2(100) ,
    SEGMENT23_TREE_CODE       VARCHAR2(120) ,
    SEGMENT24_LOW             VARCHAR2(100) ,
    SEGMENT24_HIGH            VARCHAR2(100) ,
    SEGMENT24_TREE_CODE       VARCHAR2(120) ,
    SEGMENT25_LOW             VARCHAR2(100) ,
    SEGMENT25_HIGH            VARCHAR2(100) ,
    SEGMENT25_TREE_CODE       VARCHAR2(120) ,
    SEGMENT26_LOW             VARCHAR2(100) ,
    SEGMENT26_HIGH            VARCHAR2(100) ,
    SEGMENT26_TREE_CODE       VARCHAR2(120) ,
    SEGMENT27_LOW             VARCHAR2(100) ,
    SEGMENT27_HIGH            VARCHAR2(100) ,
    SEGMENT27_TREE_CODE       VARCHAR2(120) ,
    SEGMENT28_LOW             VARCHAR2(100) ,
    SEGMENT28_HIGH            VARCHAR2(100) ,
    SEGMENT28_TREE_CODE       VARCHAR2(120) ,
    SEGMENT29_LOW             VARCHAR2(100) ,
    SEGMENT29_HIGH            VARCHAR2(100) ,
    SEGMENT29_TREE_CODE       VARCHAR2(120) ,
    SEGMENT30_LOW             VARCHAR2(100) ,
    SEGMENT30_HIGH            VARCHAR2(100) ,
    SEGMENT30_TREE_CODE       VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ACCOUNT_RULE_ID           NUMBER        ,
    COA_MAPPING_ID            NUMBER(18, 0)     NOT NULL,
    TO_CODE_COMBINATION_ID    NUMBER            NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    SEGMENT1_LOW              VARCHAR2(100) ,
    SEGMENT1_HIGH             VARCHAR2(100) ,
    SEGMENT1_TREE_CODE        VARCHAR2(120) ,
    SEGMENT2_LOW              VARCHAR2(100) ,
    SEGMENT2_HIGH             VARCHAR2(100) ,
    SEGMENT2_TREE_CODE        VARCHAR2(120) ,
    SEGMENT3_LOW              VARCHAR2(100) ,
    SEGMENT3_HIGH             VARCHAR2(100) ,
    SEGMENT3_TREE_CODE        VARCHAR2(120) ,
    SEGMENT4_LOW              VARCHAR2(100) ,
    SEGMENT4_HIGH             VARCHAR2(100) ,
    SEGMENT4_TREE_CODE        VARCHAR2(120) ,
    SEGMENT5_LOW              VARCHAR2(100) ,
    SEGMENT5_HIGH             VARCHAR2(100) ,
    SEGMENT5_TREE_CODE        VARCHAR2(120) ,
    SEGMENT6_LOW              VARCHAR2(100) ,
    SEGMENT6_HIGH             VARCHAR2(100) ,
    SEGMENT6_TREE_CODE        VARCHAR2(120) ,
    SEGMENT7_LOW              VARCHAR2(100) ,
    SEGMENT7_HIGH             VARCHAR2(100) ,
    SEGMENT7_TREE_CODE        VARCHAR2(120) ,
    SEGMENT8_LOW              VARCHAR2(100) ,
    SEGMENT8_HIGH             VARCHAR2(100) ,
    SEGMENT8_TREE_CODE        VARCHAR2(120) ,
    SEGMENT9_LOW              VARCHAR2(100) ,
    SEGMENT9_HIGH             VARCHAR2(100) ,
    SEGMENT9_TREE_CODE        VARCHAR2(120) ,
    SEGMENT10_LOW             VARCHAR2(100) ,
    SEGMENT10_HIGH            VARCHAR2(100) ,
    SEGMENT10_TREE_CODE       VARCHAR2(120) ,
    SEGMENT11_LOW             VARCHAR2(100) ,
    SEGMENT11_HIGH            VARCHAR2(100) ,
    SEGMENT11_TREE_CODE       VARCHAR2(120) ,
    SEGMENT12_LOW             VARCHAR2(100) ,
    SEGMENT12_HIGH            VARCHAR2(100) ,
    SEGMENT12_TREE_CODE       VARCHAR2(120) ,
    SEGMENT13_LOW             VARCHAR2(100) ,
    SEGMENT13_HIGH            VARCHAR2(100) ,
    SEGMENT13_TREE_CODE       VARCHAR2(120) ,
    SEGMENT14_LOW             VARCHAR2(100) ,
    SEGMENT14_HIGH            VARCHAR2(100) ,
    SEGMENT14_TREE_CODE       VARCHAR2(120) ,
    SEGMENT15_LOW             VARCHAR2(100) ,
    SEGMENT15_HIGH            VARCHAR2(100) ,
    SEGMENT15_TREE_CODE       VARCHAR2(120) ,
    SEGMENT16_LOW             VARCHAR2(100) ,
    SEGMENT16_HIGH            VARCHAR2(100) ,
    SEGMENT16_TREE_CODE       VARCHAR2(120) ,
    SEGMENT17_LOW             VARCHAR2(100) ,
    SEGMENT17_HIGH            VARCHAR2(100) ,
    SEGMENT17_TREE_CODE       VARCHAR2(120) ,
    SEGMENT18_LOW             VARCHAR2(100) ,
    SEGMENT18_HIGH            VARCHAR2(100) ,
    SEGMENT18_TREE_CODE       VARCHAR2(120) ,
    SEGMENT19_LOW             VARCHAR2(100) ,
    SEGMENT19_HIGH            VARCHAR2(100) ,
    SEGMENT19_TREE_CODE       VARCHAR2(120) ,
    SEGMENT20_LOW             VARCHAR2(100) ,
    SEGMENT20_HIGH            VARCHAR2(100) ,
    SEGMENT20_TREE_CODE       VARCHAR2(120) ,
    SEGMENT21_LOW             VARCHAR2(100) ,
    SEGMENT21_HIGH            VARCHAR2(100) ,
    SEGMENT21_TREE_CODE       VARCHAR2(120) ,
    SEGMENT22_LOW             VARCHAR2(100) ,
    SEGMENT22_HIGH            VARCHAR2(100) ,
    SEGMENT22_TREE_CODE       VARCHAR2(120) ,
    SEGMENT23_LOW             VARCHAR2(100) ,
    SEGMENT23_HIGH            VARCHAR2(100) ,
    SEGMENT23_TREE_CODE       VARCHAR2(120) ,
    SEGMENT24_LOW             VARCHAR2(100) ,
    SEGMENT24_HIGH            VARCHAR2(100) ,
    SEGMENT24_TREE_CODE       VARCHAR2(120) ,
    SEGMENT25_LOW             VARCHAR2(100) ,
    SEGMENT25_HIGH            VARCHAR2(100) ,
    SEGMENT25_TREE_CODE       VARCHAR2(120) ,
    SEGMENT26_LOW             VARCHAR2(100) ,
    SEGMENT26_HIGH            VARCHAR2(100) ,
    SEGMENT26_TREE_CODE       VARCHAR2(120) ,
    SEGMENT27_LOW             VARCHAR2(100) ,
    SEGMENT27_HIGH            VARCHAR2(100) ,
    SEGMENT27_TREE_CODE       VARCHAR2(120) ,
    SEGMENT28_LOW             VARCHAR2(100) ,
    SEGMENT28_HIGH            VARCHAR2(100) ,
    SEGMENT28_TREE_CODE       VARCHAR2(120) ,
    SEGMENT29_LOW             VARCHAR2(100) ,
    SEGMENT29_HIGH            VARCHAR2(100) ,
    SEGMENT29_TREE_CODE       VARCHAR2(120) ,
    SEGMENT30_LOW             VARCHAR2(100) ,
    SEGMENT30_HIGH            VARCHAR2(100) ,
    SEGMENT30_TREE_CODE       VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    RULE_DESCRIPTION          VARCHAR2(4000),
    FLEX_FILTER               XMLTYPE       ,
    CONSTRAINT pk_gl_coa_map_account_rules PRIMARY KEY (ACCOUNT_RULE_ID, ACCOUNT_RULE_ID)
);
